List Project TaskAgent Shares

List TaskAgent shares in a project.

TaskAgent shares are public share records scoped to the requested project. The endpoint does not expose share-specific IAM.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID

Query parameters

activebooleanOptional
Filter by active status
task_agent_idstringOptionalformat: "uuid"
Filter by specific TaskAgent ID
task_agent_namestringOptional

Filter by TaskAgent name (partial, case-insensitive)

cursorstringOptionalformat: "uuid"

A cursor for pagination. Use the next_cursor value from the previous response to get the next page of results.

page_limitintegerOptional1-100Defaults to 100

The maximum number of items to return per page. Defaults to 100 if not specified.

Response

Paginated list of TaskAgent shares
resultslist of objects
The list of items returned for the current page.
paginationobject or null
Contains pagination information for the result set.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error